Subject: Re: [PATCH 3/4] git-daemon doc: update mark-up of synopsis option descriptions

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 May 2025 16:22:40 -0700

Here are incremental changes relative to the previous round, taking
inspiration from your suggestions.

I think the sample option, sitename, and pathname must be typed
verbatim by the readers if the behaviour described in the text
is to be reproduced, so changed them in the base-path description
all to be marked up as `literal string`.

diff --git c/Documentation/git-daemon.adoc w/Documentation/git-daemon.adoc
index 3eb9332e55..bc3f77405e 100644
--- c/Documentation/git-daemon.adoc
+++ w/Documentation/git-daemon.adoc
@@ -32,7 +32,7 @@ that service if it is enabled.
 It verifies that the directory has the magic file "git-daemon-export-ok", and
 it will refuse to export any Git directory that hasn't explicitly been marked
 for export this way (unless the `--export-all` parameter is specified). If you
-pass some directory paths as 'git daemon' arguments, the offers are limited to
+pass some directory paths as `git daemon` arguments, the offers are limited to
 repositories within those directories.
 
 By default, only `upload-pack` service is enabled, which serves
@@ -49,15 +49,15 @@ OPTIONS
 `--strict-paths`::
 	Match paths exactly (i.e. don't allow "/foo/repo" when the real path is
 	"/foo/repo.git" or "/foo/repo/.git") and don't do user-relative paths.
-	'git daemon' will refuse to start when this option is enabled and no
+	`git daemon` will refuse to start when this option is enabled and no
 	directory arguments are provided.
 
 `--base-path=<path>`::
 	Remap all the path requests as relative to the given path.
-	This is sort of "Git root" - if you run 'git daemon' with
-	'--base-path=/srv/git' on example.com, then if you later try to pull
-	'git://example.com/hello.git', 'git daemon' will interpret the path
-	as `/srv/git/hello.git`.
+	This is sort of "Git root" - if you run `git daemon` with
+	`--base-path=/srv/git` on `example.com`, then if you later try
+	to pull from `git://example.com/hello.git`, `git daemon` will
+	interpret the path as `/srv/git/hello.git`.
 
 `--base-path-relaxed`::
 	If `--base-path` is enabled and repo lookup fails, with this option